# -*- perl -*-
#
# Copyright (C) 1996 Ken MacLeod
# See the file COPYING for distribution terms.
#

$test = {};
$tests->{'sroff'}{'results'}{'ascii'} = $test;
$test->{'output_type'} = "Ascii";
$test->{'check'} = sub {
    system ">check-out";
    # no check for ascii
};

######################################################################
$test->{'expected'}{"dummy"} = <<'EOTEST';
EOTEST

######################################################################
$test->{'expected'}{"medium-paragraph"} = <<'EOTEST';
GDO's design uses sgmls to validate and parse the document instance (doesn't
everybody :-), it then maps document entities to generalized entities that
are implemented as object-methods. A stack (single-line hierarchy) of object
classes implements the methods, with the base-class being most general, and
subsequent classes providing more detailed processing. The SROFF example
above looks like this internally:
EOTEST

######################################################################
$test->{'expected'}{"sections-titles"} = <<'EOTEST';
1  Section One
**************



1.1  Section One.One
====================


1.1.1  Section One.One.One
--------------------------


1.1.2  Section One.One.Two
--------------------------



1.2  Section One.Two
====================




2  Section Two
**************



2.1  Section Two.One
====================
EOTEST

######################################################################
$test->{'expected'}{"title-page"} = <<'EOTEST';
                                 Test Title


                               Test SubTitle




                                 Test Date


                                Test Author


                                  ABSTRACT

    Test Abstract

Test Copyright

Test Extra
EOTEST

######################################################################
$test->{'expected'}{"variable-list"} = <<EOTEST;
term1a
term1b
    Without PAR tag.

term2
    With PAR tag, first paragraph.

    Second paragraph.
EOTEST

######################################################################
$test->{'expected'}{"url"} = <<'EOTEST';
Home of GDO (http://bitsko.slc.ut.us/)
EOTEST

######################################################################
$test->{'expected'}{"links"} = <<'EOTEST';
1  Section One
**************



1.1  Section One.One
====================


1.1.1  Section One.One.One
--------------------------


This links to Section 1.2, Section One.Two.


1.1.2  Section One.One.Two
--------------------------


This links to Section 1, Section One.



1.2  Section One.Two
====================
EOTEST

######################################################################
$test->{'expected'}{"block-in-paragraph"} = <<'EOTEST';
GDO's design uses sgmls to validate and parse the document instance (doesn't
everybody :-), it then maps document entities to generalized entities that
are implemented as object-methods. A stack (single-line hierarchy) of object
classes implements the methods, with the base-class being most general, and
subsequent classes providing more detailed processing. The SROFF example
above looks like this internally:

Line 1
Line 2
EOTEST

######################################################################
$test->{'expected'}{"quoting"} = <<'EOTEST';
some data
      quoted data

more data
      more quoted data
EOTEST

######################################################################
$test->{'expected'}{"noadjust"} = <<'EOTEST';
some data
      `quoted data'

more data
      `more quoted data'
EOTEST

1;
